Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.support
Class DefaultTransitionCriteria

    java.lang.Object
      org.springframework.webflow.engine.support.DefaultTransitionCriteria

All Implemented Interfaces:
  TransitionCriteria

    public class DefaultTransitionCriteria

extends java.lang.Object
implements TransitionCriteria

Transition criteria that tests the value of an expression. The expression is used to express a condition that guards transition execution in a web flow. Expressions will be evaluated against the request context. Boolean, string, and custom TransitonCriteria evaluation results are supported.

Author:
  Keith Donald, Erwin Vervaet

Constructor Summary
`DefaultTransitionCriteria(Expression expression)` Create a new expression based transition criteria object.

Method Summary
`boolean` | `test(RequestContext context)` Check if the transition should fire based on the given flow execution request context.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultTransitionCriteria

    public DefaultTransitionCriteria(Expression expression)

  Create a new expression based transition criteria object.

  Parameters:
    `expression` - the expression evaluator testing the criteria

Method Detail

### test

    public boolean test(RequestContext context)

  Description copied from interface: `TransitionCriteria`
  Check if the transition should fire based on the given flow execution request context.

  Specified by:
    `test` in interface `TransitionCriteria`
  Parameters:
    `context` - the flow execution request context
  Returns:
    true if the transition should fire, false otherwise

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD